gscript r5 - trunk



Author: alexl
Date: Mon Sep 15 19:17:21 2008
New Revision: 5
URL: http://svn.gnome.org/viewvc/gscript?rev=5&view=rev

Log:
Added autogen


Added:
   trunk/autogen.sh   (contents, props changed)

Added: trunk/autogen.sh
==============================================================================
--- (empty file)
+++ trunk/autogen.sh	Mon Sep 15 19:17:21 2008
@@ -0,0 +1,23 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="gscript"
+REQUIRED_AUTOMAKE_VERSION=1.6
+
+(test -f $srcdir/configure.in \
+  && test -f $srcdir/gscript/gscriptengine.h \
+  && test -f $srcdir/gscript/gscriptengine.c) || {
+    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+    echo " top-level $PKG_NAME directory"
+    exit 1
+}
+
+which gnome-autogen.sh || {
+    echo "You need to install gnome-common from the GNOME CVS"
+    exit 1
+}
+
+USE_GNOME2_MACROS=1 . gnome-autogen.sh



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]